.logo-40 img{
    height: 40px;
}
.hide {
    display: none!important;
}
.text-right {
    text-align: right!important
}
.bold{
    font-weight: 600;
}
.dropdown-menu.profile .dropdown-item{
    padding: .35rem 0.5rem;
}
/* Card || Panel start */
.panel_s {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-color: #fff;
    background-clip: border-box;
    border: 0 solid #f6f6f6;
    border-radius: .25rem;
    margin-bottom: 24px;
}

.panel_s>hr {
    margin-right: 0;
    margin-left: 0
}

.panel_s>.list-group {
    border-top: inherit;
    border-bottom: inherit
}

.panel_s>.list-group:first-child {
    border-top-width: 0;
    border-top-left-radius: calc(.25rem - 0);
    border-top-right-radius: calc(.25rem - 0)
}

.panel_s>.list-group:last-child {
    border-bottom-width: 0;
    border-bottom-right-radius: calc(.25rem - 0);
    border-bottom-left-radius: calc(.25rem - 0)
}

.panel_s>.card-header+.list-group,
.panel_s>.list-group+.card-footer {
    border-top: 0
}

.panel-body {
    -webkit-box-flex: 1;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    padding: 1.25rem 1.25rem
}

/* Card || Panel end */


.tc-content .container-fluid{
    max-width: 100% !important;
    padding: 0;
}



/*
//
// Code (inline and block)
// --------------------------------------------------
*/


/*// Inline and block code styles*/
code,kbd,pre,samp {
    font-family: @font-family-monospace;
}

/*// Inline code*/
code {
    padding: 0;
    font-size: inherit;
    color: inherit;
    white-space: pre-wrap;
    background-color: transparent;
    border-radius: 0;
}

/*// User input typically entered via keyboard*/
kbd {
    padding: 2px 4px;
    font-size: 90%;
    color: #fff;
    background-color: #333;
    border-radius: 3px;
    -webkit-box-shadow: inset 0 -1px 0 rgb(0 0 0 / 25%);
    box-shadow: inset 0 -1px 0 rgb(0 0 0 / 25%);
}

/*// Blocks of code*/
pre {
    display: block;
    padding: 9.5px;
    margin: 0 0 10px;
    font-size: 13px;
    line-height: 1.42857143;
    color: #333;
    word-break: break-all;
    word-wrap: break-word;
    background-color: #f5f5f5;
    border: 1px solid #ccc;
    border-radius: 4px;
}

/*// Enable scrollable blocks of code*/
.pre-scrollable {
    max-height: 340px;
    overflow-y: scroll;
}







/*// Alert start*/
.animated {
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
}

@-webkit-keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.fadeIn {
    -webkit-animation-name: fadeIn;
    animation-name: fadeIn;
}

@-webkit-keyframes fadeOut {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
    }
}

@keyframes fadeOut {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
    }
}

.fadeOut {
    -webkit-animation-name: fadeOut;
    animation-name: fadeOut;
}


@-webkit-keyframes fadeInRight {
    from {
        opacity: 0;
        -webkit-transform: translate3d(100%, 0, 0);
        transform: translate3d(100%, 0, 0);
    }

    to {
        opacity: 1;
        -webkit-transform: none;
        transform: none;
    }
}

@keyframes fadeInRight {
    from {
        opacity: 0;
        -webkit-transform: translate3d(100%, 0, 0);
        transform: translate3d(100%, 0, 0);
    }

    to {
        opacity: 1;
        -webkit-transform: none;
        transform: none;
    }
}

.fadeInRight {
    -webkit-animation-name: fadeInRight;
    animation-name: fadeInRight;
}

@-webkit-keyframes fadeInLeft {
    from {
        opacity: 0;
        -webkit-transform: translate3d(-100%, 0, 0);
        transform: translate3d(-100%, 0, 0);
    }

    to {
        opacity: 1;
        -webkit-transform: none;
        transform: none;
    }
}

@keyframes fadeInLeft {
    from {
        opacity: 0;
        -webkit-transform: translate3d(-100%, 0, 0);
        transform: translate3d(-100%, 0, 0);
    }

    to {
        opacity: 1;
        -webkit-transform: none;
        transform: none;
    }
}

.fadeInLeft {
    -webkit-animation-name: fadeInLeft;
    animation-name: fadeInLeft;
}

@-webkit-keyframes fadeOutLeft {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
        -webkit-transform: translate3d(-100%, 0, 0);
        transform: translate3d(-100%, 0, 0);
    }
}

@keyframes fadeOutLeft {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
        -webkit-transform: translate3d(-100%, 0, 0);
        transform: translate3d(-100%, 0, 0);
    }
}

.fadeOutLeft {
    -webkit-animation-name: fadeOutLeft;
    animation-name: fadeOutLeft;
}

@-webkit-keyframes fadeOutRight {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
        -webkit-transform: translate3d(100%, 0, 0);
        transform: translate3d(100%, 0, 0);
    }
}

@keyframes fadeOutRight {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
        -webkit-transform: translate3d(100%, 0, 0);
        transform: translate3d(100%, 0, 0);
    }
}

.fadeOutRight {
    -webkit-animation-name: fadeOutRight;
    animation-name: fadeOutRight;
}

.table .alert-danger {
    color: #a94442 !important;
    background-color: #f2dede !important;
    border-color: #ebccd1 !important;
}

.alert {
    padding: 10px 15px;
    font-size: 14px;
}
.alert.announcement {
    padding: 0px;
}

.alert:not(.float-alert) span[data-notify="icon"] {
    float: left;
    font-size: 18px;
    margin-top: 0;
}
.float-alert {
    display: inline-block;
    margin: 0 auto;
    position: fixed;
    -webkit-transition: all 0.5s ease-in-out;
    transition: all 0.5s ease-in-out;
    z-index: 1031;
    top: 20px;
    right: 20px;
}
.float-alert.alert span[data-notify="icon"] {
    font-size: 20px;
    display: block;
    left: 13px;
    position: absolute;
    top: 50%;
    margin-top: -11px;
}

.alert.float-alert .alert-title {
    margin-left: 30px;
    font-weight: 500;
}

body.rtl .alert.float-alert .alert-title {
    float: left;
}

.alert:not(.float-alert) .alert-title {
    margin-left: 10px;
}

.alert.float-alert button.close {
    position: absolute;
    right: 10px;
    top: 50%;
    margin-top: -13px;
    z-index: 1033;
    background-color: #FFFFFF;
    display: block;
    border-radius: 50%;
    opacity: .4;
    line-height: 11px;
    width: 25px;
    height: 25px;
    outline: 0 !important;
    text-align: center;
    padding: 3px;
    font-weight: 400;
}

.alert.float-alert button.close:hover {
    opacity: .55;
}

.alert.float-alert .close~span {
    display: block;
    max-width: 89%;
}

.alert.alert-dismissible button.close {
    right: -2px;
}
/*// Alert end*/



/* Progress bar start */
.border-default {
    border-color: #556ee6!important;
}
.progress-bar-danger {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-danger-rgb),var(--bs-bg-opacity))!important;
}
.progress-bar-success {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-success-rgb),var(--bs-bg-opacity))!important;
}
.progress-bar-info {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-info-rgb),var(--bs-bg-opacity))!important;
}
.progress-bar-warning {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-warning-rgb),var(--bs-bg-opacity))!important;
}
/* Progress bar end */



/* datatable start */
.dataTables_wrapper .custom-select-sm {
    display: block;
    width: 100%;
    padding: 0.25rem 1.75rem 0.25rem 0.5rem;
    -moz-padding-start: calc(.75rem - 3px);
    /*font-size: .8125rem;*/
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right 0.75rem center;
    background-size: 16px 12px;
    border: 1px solid #ced4da;
    /*border-radius: 0.25rem;*/
    -webkit-transition: border-color .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
    transition: border-color .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}
.input-group-addon {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    padding: 0.47rem 0.75rem;
    font-size: .8125rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    text-align: center;
    white-space: nowrap;
    background-color: #eff2f7;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
}
.dataTables_wrapper .label, .invoice-html-status .label, .estimate-html-status .label, #task .label {
    padding: 0.25rem 0.5rem;
    font-size: .71094rem;
    border-radius: 0.2rem;

    display: inline-block;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    /*padding: 0.47rem 0.75rem;*/
    /*font-size: .8125rem;*/
    /*border-radius: 0.25rem;*/
    -webkit-transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
}
.dataTables_wrapper .label-danger, .invoice-html-status .label-danger, .estimate-html-status .label-danger {
    color: #f46a6a;
    border-color: #f46a6a;
}
.dataTables_wrapper .label-primary, .invoice-html-status .label-primary, .estimate-html-status .label-primary {
    color: #556ee6;
    border-color: #556ee6;
}
.dataTables_wrapper .label-success, .invoice-html-status .label-success, .estimate-html-status .label-success {
    color: #34c38f;
    border-color: #34c38f;
}
.dataTables_wrapper .label-info, .invoice-html-status .label-info, .estimate-html-status .label-info {
    color: #50a5f1;
    border-color: #50a5f1;
}
.dataTables_wrapper .label-default, .invoice-html-status .label-default, .estimate-html-status .label-default {
    color: #74788d;
    border-color: #74788d;
}
.dataTables_wrapper .label-warning, .invoice-html-status .label-warning, .estimate-html-status .label-warning {
    color: #f1b44c;
    border-color: #f1b44c;
}
.dataTables_wrapper .table-tickets .label.inline-block{
    color: #FFF;
}
/* datatable end */

.content-view-status {
    padding: .47rem .75rem;
    font-size: .8125rem;
    text-align: center;
    border-radius: .25rem;
}
.ticket-status-inline .label{
    padding: .30rem .75rem;
    font-size: .6125rem;
    text-align: center;
    border-radius: .25rem;
    color: #FFF;    
}
.danger-bg {
    background: #f46a6a!important;
    color: #fff!important;
    border: 1px solid #f46a6a!important;
}
.primary-bg {
    background: #556ee6!important;
    color: #fff!important;
    border: 1px solid #556ee6!important;
}
.success-bg {
    background: #34c38f!important;
    color: #fff!important;
    border: 1px solid #34c38f!important;
}
.info-bg {
    background: #50a5f1!important;
    color: #fff!important;
    border: 1px solid #50a5f1!important;
}
.default-bg {
    background: #74788d!important;
    color: #fff!important;
    border: 1px solid #74788d!important;
}
.warning-bg {
    background: #f1b44c!important;
    color: #fff!important;
    border: 1px solid #f1b44c!important;
}

/*5th col start*/
.col-lg-5ths,
.col-md-5ths,
.col-sm-5ths,
.col-xs-5ths {
    position: relative;
    min-height: 1px;
    padding-right: 15px;
    padding-left: 15px
}

.col-xs-5ths {
    width: 20%;
    float: left
}

@media (min-width:768px) {
    .col-sm-5ths {
        width: 20%;
        float: left
    }
}

@media (min-width:992px) {
    .col-md-5ths {
        width: 20%;
        float: left
    }
}

@media (min-width:1200px) {
    .col-lg-5ths {
        width: 20%;
        float: left
    }
}
/*5th col end*/


/*invoice*/
.page-content-invoice{
    padding-bottom: 60px;
}
.invoice-html-logo img, .contract-html-logo img, .estimate-html-logo img, .proposal-html-logo img {
    width: 100%;
}
.preview-sticky-header {
    z-index: 1;
    background: #fff;
    padding-top: 15px;
    -webkit-box-shadow: 0 1px 15px 1px rgb(90 90 90 / 8%);
    box-shadow: 0 1px 15px 1px rgb(90 90 90 / 8%);
    width: 100%!important;
    left: 0!important;
}
.preview-sticky-header .sticky-visible {
    display: inherit!important;
}
.invoice-html-number span, .estimate-html-number span {
    font-size: 20px;
}
.table.items{
    margin-top: 25px;
}
@media (min-width: 767px){
    div:not(.preview-sticky-header) .preview-sticky-container {
        padding-left: 0;
        padding-right: 0;
    }
}
@media (max-width: 767px){
    .preview-sticky-container .action-button, .preview-sticky-container .content-view-status {
        float: none!important;
        display: inline-block;
        width: 100%;
        margin: 0 0 5px 0 !important;
    }
}
.content-view-status {
    float: right;
    /*margin-left: 5px;*/
}
.signature-pad--body {
    border-radius: 4px;
    position: relative;
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    border: 1px solid #c0cbda
}
.mime>a {
    color: #555!important;
    text-decoration: none
}
td[align=right], th[align=right] {
    text-align: right;
}
.invoice-items-preview thead, .estimate-items-preview thead {
    color: #495057;
    border-color: #eff2f7;
    background-color: #f8f9fa;
}
.mime {
    background-repeat: no-repeat;
    background-position: 0 0;
    padding: 1px 0 4px 26px
}

.mime-word {
    background-image: url(../../../images/mime/word.png)
}

.mime-excel {
    background-image: url(../../../images/mime/excel.png)
}

.mime-powerpoint {
    background-image: url(../../../images/mime/powerpoint.png)
}

.mime-pdf {
    background-image: url(../../../images/mime/pdf.png)
}

.mime-zip {
    background-image: url(../../../images/mime/zip.png)
}

.mime-image {
    background-image: url(../../../images/mime/image.png)
}

.mime-file {
    background-image: url(../../../images/mime/file.png)
}

.mime-photoshop {
    background-image: url(../../../images/mime/photoshop.png)
}

.mime-illustrator {
    background-image: url(../../../images/mime/illustrator.png)
}

.mime-video {
    background-image: url(../../../images/mime/video.png)
}

.mime-audio {
    background-image: url(../../../images/mime/audio.png)
}
/**/


.border-right {
    border-right: 1px solid #f0f0f0;
}

/*dropzone start*/
.dropzone {
    min-height: 150px;
}
/*dropzone end*/


/* ==============
  Calendar start
===================*/
table.fc-scrollgrid {
  border: 1px solid #eff2f7 !important;
}
.fc-button {
    display: inline-block;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: 0.47rem 0.75rem !important;
    font-size: .8125rem !important;
    border-radius: 0.25rem !important;
    -webkit-transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
}
.fc-direction-ltr .fc-button-group>.fc-button:not(:last-child) {
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}
.fc-direction-ltr .fc-button-group>.fc-button:not(:first-child) {
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
}
.fc-button-primary{
    color: #fff !important;
    background-color: #556ee6 !important;
    border-color: #556ee6 !important;
}
.fc-button-primary:hover {
    color: #fff !important;
    background-color: #485ec4 !important;
    border-color: #4458b8 !important;
}
.fc .fc-daygrid-day-number, .fc .fc-col-header-cell-cushion{
    color: #000;
}

/* ==============
  Calendar end
===================*/


.client-reply {
    background: #ffffe6!important;
    color: #333;
}
.border-light2 {
    border-color: #e4e5e7!important;
}
.select2-container {
    width: 100% !important;
    padding: 0;
    /*z-index: 1999;*/
}





#discussion-comments ul.navigation {
    margin-top: 20px;
}
#discussion-comments #comment-list .content, .jquery-comments ul.main li.comment .wrapper .content {
    padding: 0 !important;
    margin-top: 5px !important;
}
/*.jquery-comments .textarea-wrapper .control-row > span.upload{*/
.jquery-comments .textarea-wrapper .control-row > span {
    padding: .37rem .75rem;
    font-size: .8125rem;
    line-height: 1.5;
    font-weight: 400;
    border-radius: 0.20rem;
}



.tasks-phases {
    overflow: scroll hidden
}

.kan-ban-col {
    width: 326px;
    height: 416px;
    margin-right: 6px;
    display: inline-flex;
}

.tasks-phases .kan-ban-col .card-body {
    height: 100%;
    overflow-y: auto
}

@media (max-width:768px) {
    .kan-ban-col {
        width: 216px;
        height: 416px;
        margin-right: 6px;
        display: inline-flex;
    }
}
.line-throught{
    text-decoration: line-through !important;
}

#task .task-info{
    font-size: 10px;
    vertical-align: middle;
    padding: 10px
}
#task .task-info h5{
    font-size: 13px;
    font-weight: 400;
    color: inherit;
}
.task-attachment {
    border: 1px solid #f0f0f0;
    padding: 10px;
    border-radius: 3px;
    max-height: 255px;
    min-height: 255px;
    overflow: hidden;
}
.task-attachment .task-attachment-user {
    padding-bottom: 10px;
    display: inline-block;
    width: 100%;
    margin-left: 0;
    border-bottom: 1px solid #f0f0f0;
}
.task-attachment .task-attachment-no-preview {
    margin-top: 45px;
    text-align: center;
}


.front-project-tab li a.nav-link{
    padding: .5rem 0.8rem;
}





   /*MODAL NOTIFICATION*/
   #modal_custom_msg.modal .modal-content .modal-body {
       border-radius: 7px;
       overflow: hidden;
       background-color: #fff;
       padding-left: 0;
       padding-right: 0;
       -webkit-box-shadow: 0 10px 50px -10px rgb(0 0 0 / 90%);
       box-shadow: 0 10px 50px -10px rgb(0 0 0 / 90%);
   }
   #modal_custom_msg.modal .modal-content .modal-body .close-btn {
       color: #000;
   }
   #modal_custom_msg.modal .warp-icon {
       width: 80px;
       height: 80px;
       margin: 0 auto;
       position: relative;
       background: rgba(62,100,255,.05);
       color: #3e64ff;
       border-radius: 50%;
   }
   #modal_custom_msg.modal .modal-content .modal-body p {
       color: #777;
       font-size: 14px;
   }
   #modal_custom_msg.modal .close-btn span {
       color: #ccc;
   }
   #modal_custom_msg.modal .close-btn {
       position: absolute;
       right: 20px;
       top: 20px;
       font-size: 20px;
   }
   #modal_custom_msg.modal .warp-icon i{
       font-size: 40px;
       position: absolute;
       left: 50%;
       top: 50%;
       -webkit-transform: translate(-50%,-50%);
       -ms-transform: translate(-50%,-50%);
       transform: translate(-50%,-50%);
   }
